#!/bin/sh
FIXID=LI74939

echo " Ifix $FIXID: "
echo " THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM"
echo " 5724-I04 (C) COPYRIGHT International Business Machines Corp., 2009"
echo " All Rights Reserved * Licensed Materials - Property of IBM"
echo " US Government Users Restricted Rights - Use, duplication or disclosure"
echo " restricted by GSA ADP Schedule Contract with IBM Corp."
echo " "
echo "   Please allow the ifix installation to run to completion. i.e. do not control-c "
echo " "
echo "   Please review the readme_$APARID.txt file delivered with this ifix"
echo "   before proceeding..."
echo " "
echo " Are you ready to proceed? [Y/N]"
read -s -n1 RESPONSE

if [ $RESPONSE = "N" -o $RESPONSE = "n" ]; then
  exit 1
fi

if [ -f /opt/IBM/WebSphere/AppServer/bin/setupCmdLine.sh ]
then
   source /opt/IBM/WebSphere/AppServer/bin/setupCmdLine.sh
fi

if [ ! "$WAS_HOME" ] ; then
   echo "Ifix_$FIXID: Please run WebSphere Application Server's setupCmdLine.sh to setup"
   echo "         the WAS Command line environment"
  exit -1
fi

if [ -f AMT.jar ] ; then
  EXEC_DIR="$(dirname "$(which "$0")")"
	$WAS_ROOT/java/bin/java -Damt.fix.id=$FIXID -jar $EXEC_DIR/AMT.jar $1
else
	cd $FIXID
	EXEC_DIR="$(dirname "$(which "$0")")"
	$WAS_ROOT/java/bin/java -Damt.fix.id=$FIXID -jar $EXEC_DIR/AMT.jar $1
	cd ..
fi